org.apache.ignite.configuration

## Class OdbcConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.OdbcConfiguration

Deprecated.

    @Deprecated
    public class OdbcConfiguration
    extends Object

ODBC configuration.

Deprecated as of Apache Ignite 2.1. Please use `ClientConnectorConfiguration` and `IgniteConfiguration.setClientConnectorConfiguration(ClientConnectorConfiguration)` instead.

### Field Summary

Fields
`static int` `DFLT_MAX_OPEN_CURSORS` Deprecated. Default max number of open cursors per connection.
`static int` `DFLT_SOCK_BUF_SIZE` Deprecated. Default socket send and receive buffer size.
`static String` `DFLT_TCP_HOST` Deprecated. Default TCP host.
`static int` `DFLT_TCP_PORT_FROM` Deprecated. Default minimum TCP port range value.
`static int` `DFLT_TCP_PORT_TO` Deprecated. Default maximum TCP port range value.
`static int` `DFLT_THREAD_POOL_SIZE` Deprecated. Default size of thread pool.

### Constructor Summary

Constructors
Constructor and Description
`OdbcConfiguration()` Deprecated. Creates ODBC server configuration with all default values.
`OdbcConfiguration(OdbcConfiguration cfg)` Deprecated. Creates ODBC server configuration by copying all properties from given configuration.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`String` `getEndpointAddress()` Deprecated. Get ODBC endpoint address.
`int` `getMaxOpenCursors()` Deprecated. Gets maximum number of opened cursors per connection.
`int` `getSocketReceiveBufferSize()` Deprecated. Gets socket receive buffer size.
`int` `getSocketSendBufferSize()` Deprecated. Gets socket send buffer size.
`int` `getThreadPoolSize()` Deprecated. Size of thread pool that is in charge of processing ODBC tasks.
`OdbcConfiguration` `setEndpointAddress(String addr)` Deprecated. Set ODBC endpoint address.
`OdbcConfiguration` `setMaxOpenCursors(int maxOpenCursors)` Deprecated. Sets maximum number of opened cursors per connection.
`OdbcConfiguration` `setSocketReceiveBufferSize(int sockRcvBufSize)` Deprecated. Sets socket receive buffer size.
`OdbcConfiguration` `setSocketSendBufferSize(int sockSndBufSize)` Deprecated. Sets socket send buffer size.
`OdbcConfiguration` `setThreadPoolSize(int threadPoolSize)` Deprecated. Sets thread pool that is in charge of processing ODBC tasks.
`String` `toString()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_TCP_HOST

    public static final String DFLT_TCP_HOST

Deprecated.
Default TCP host.

See Also:
  Constant Field Values

#### DFLT_TCP_PORT_FROM

    public static final int DFLT_TCP_PORT_FROM

Deprecated.
Default minimum TCP port range value.

See Also:
  Constant Field Values

#### DFLT_TCP_PORT_TO

    public static final int DFLT_TCP_PORT_TO

Deprecated.
Default maximum TCP port range value.

See Also:
  Constant Field Values

#### DFLT_SOCK_BUF_SIZE

    public static final int DFLT_SOCK_BUF_SIZE

Deprecated.
Default socket send and receive buffer size.

See Also:
  Constant Field Values

#### DFLT_MAX_OPEN_CURSORS

    public static final int DFLT_MAX_OPEN_CURSORS

Deprecated.
Default max number of open cursors per connection.

See Also:
  Constant Field Values

#### DFLT_THREAD_POOL_SIZE

    public static final int DFLT_THREAD_POOL_SIZE

Deprecated.
Default size of thread pool.

### Constructor Detail

#### OdbcConfiguration

    public OdbcConfiguration()

Deprecated.
Creates ODBC server configuration with all default values.

#### OdbcConfiguration

    public OdbcConfiguration(OdbcConfiguration cfg)

Deprecated.
Creates ODBC server configuration by copying all properties from given configuration.

Parameters:
  `cfg` - ODBC server configuration.

### Method Detail

#### getEndpointAddress

    public String getEndpointAddress()

Deprecated.
Get ODBC endpoint address. Ignite will listen for incoming TCP connections on this address. Either single port or port range could be used. In the latter case Ignite will start listening on the first available port form the range.

The following address formats are permitted:

- `hostname` - will use provided hostname and default port range;
- `hostname:port` - will use provided hostname and port;
- `hostname:port_from..port_to` - will use provided hostname and port range.

When set to `null`, ODBC processor will be bound to `DFLT_TCP_HOST` host and default port range.

Default port range is from `DFLT_TCP_PORT_FROM` to `DFLT_TCP_PORT_TO`.

Returns:
  ODBC endpoint address.

#### setEndpointAddress

    public OdbcConfiguration setEndpointAddress(String addr)

Deprecated.
Set ODBC endpoint address. See `getEndpointAddress()` for more information.

Parameters:
  `addr` - ODBC endpoint address.
Returns:
  This instance for chaining.

#### getMaxOpenCursors

    public int getMaxOpenCursors()

Deprecated.
Gets maximum number of opened cursors per connection.

Defaults to `DFLT_MAX_OPEN_CURSORS`.

Returns:
  Maximum number of opened cursors.

#### setMaxOpenCursors

    public OdbcConfiguration setMaxOpenCursors(int maxOpenCursors)

Deprecated.
Sets maximum number of opened cursors per connection. See `getMaxOpenCursors()`.

Parameters:
  `maxOpenCursors` - Maximum number of opened cursors.
Returns:
  This instance for chaining.

#### getSocketSendBufferSize

    public int getSocketSendBufferSize()

Deprecated.
Gets socket send buffer size. When set to zero, operation system default will be used.

Defaults to `DFLT_SOCK_BUF_SIZE`

Returns:
  Socket send buffer size in bytes.

#### setSocketSendBufferSize

    public OdbcConfiguration setSocketSendBufferSize(int sockSndBufSize)

Deprecated.
Sets socket send buffer size. See `getSocketSendBufferSize()` for more information.

Parameters:
  `sockSndBufSize` - Socket send buffer size in bytes.
Returns:
  This instance for chaining.

#### getSocketReceiveBufferSize

    public int getSocketReceiveBufferSize()

Deprecated.
Gets socket receive buffer size. When set to zero, operation system default will be used.

Defaults to `DFLT_SOCK_BUF_SIZE`.

Returns:
  Socket receive buffer size in bytes.

#### setSocketReceiveBufferSize

    public OdbcConfiguration setSocketReceiveBufferSize(int sockRcvBufSize)

Deprecated.
Sets socket receive buffer size. See `getSocketReceiveBufferSize()` for more information.

Parameters:
  `sockRcvBufSize` - Socket receive buffer size in bytes.
Returns:
  This instance for chaining.

#### getThreadPoolSize

    public int getThreadPoolSize()

Deprecated.
Size of thread pool that is in charge of processing ODBC tasks.

Defaults `DFLT_THREAD_POOL_SIZE`.

Returns:
  Thread pool that is in charge of processing ODBC tasks.

#### setThreadPoolSize

    public OdbcConfiguration setThreadPoolSize(int threadPoolSize)

Deprecated.
Sets thread pool that is in charge of processing ODBC tasks. See `getThreadPoolSize()` for more information.

Parameters:
  `threadPoolSize` - Thread pool that is in charge of processing ODBC tasks.
Returns:
  This instance for chaining.

#### toString

    public String toString()

Deprecated.

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019